<template>
  <v-list rounded dense>
    <!-- <div align="center">{{ role }}</div>
    <v-divider /> -->

    <!-- Open Menu Admin -->
    <div v-if="role === 'Admin'">
      <template v-for="(item, index) in itemAdmin">
        <v-list :key="index">
          <v-list-item v-if="!item.subLinks" :to="item.path" color="#ffff">
            <v-list-item-icon>
              <v-icon>{{ item.icon }}</v-icon>
            </v-list-item-icon>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item>

          <v-list-group v-else color="#ffff" :value="true">
            <template v-slot:activator>
              <v-list-item-icon>
                <v-icon>{{ item.icon }}</v-icon>
              </v-list-item-icon>
              <v-list-item-title>{{ item.title }}</v-list-item-title>
            </template>

            <v-list-item
              link
              v-for="sublink in item.subLinks"
              :to="sublink.path"
              :key="sublink.text"
            >
              <v-list-item>
                <v-list-item-title> {{ sublink.text }}</v-list-item-title>
                <v-list-item-icon>
                  <v-icon>{{ sublink.icon }}</v-icon>
                </v-list-item-icon>
              </v-list-item>
            </v-list-item>
          </v-list-group>
        </v-list>
      </template>
    </div>
    <v-divider v-if="role === 'Admin'" />
    <!-- Close Menu Admin -->
    <!-- Open Menu Owner -->
    <div v-if="role === 'Partner'">
      <template v-for="(item, index) in itemOwner">
        <v-list :key="index">
          <v-list-item v-if="!item.subLinks" :to="item.path" color="#ffff">
            <v-list-item-icon>
              <v-icon>{{ item.icon }}</v-icon>
            </v-list-item-icon>
            <v-list-item-title>{{ item.title }}</v-list-item-title>
          </v-list-item>

          <v-list-group v-else color="#ffff" :value="true">
            <template v-slot:activator>
              <v-list-item-icon>
                <v-icon>{{ item.icon }}</v-icon>
              </v-list-item-icon>
              <v-list-item-title>{{ item.title }}</v-list-item-title>
            </template>

            <v-list-item
              link
              v-for="sublink in item.subLinks"
              :to="sublink.path"
              :key="sublink.text"
            >
              <v-list-item>
                <v-list-item-title> {{ sublink.text }}</v-list-item-title>
                <v-list-item-icon>
                  <v-icon>{{ sublink.icon }}</v-icon>
                </v-list-item-icon>
              </v-list-item>
            </v-list-item>
          </v-list-group>
        </v-list>
      </template>
    </div>
    <v-divider v-if="role === 'Partner'" />
    <!-- Close Menu Owner -->
  </v-list>
</template>

<script>
import { index } from "../../json/index";
export default {
  data() {
    return {
      role: this.$store.getters["auth/roleUser"],
      menuOwner: false,
      menuAdmin: false,
      itemOwner: index.ITEM_OWNER,
      itemAdmin: index.ITEM_ADMIN,
    };
  },
};
</script>

<style></style>
